[arch-commits] Commit in blender/repos (6 files)

Pierre Schmitz pierre at archlinux.org
Mon Oct 31 11:34:25 EDT 2011


    Date: Monday, October 31, 2011 @ 11:34:24
  Author: pierre
Revision: 141598

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  blender/repos/staging-i686/
  blender/repos/staging-i686/PKGBUILD
    (from rev 141597, blender/trunk/PKGBUILD)
  blender/repos/staging-i686/blender.install
    (from rev 141597, blender/trunk/blender.install)
  blender/repos/staging-x86_64/
  blender/repos/staging-x86_64/PKGBUILD
    (from rev 141597, blender/trunk/PKGBUILD)
  blender/repos/staging-x86_64/blender.install
    (from rev 141597, blender/trunk/blender.install)

--------------------------------+
 staging-i686/PKGBUILD          |   93 +++++++++++++++++++++++++++++++++++++++
 staging-i686/blender.install   |   13 +++++
 staging-x86_64/PKGBUILD        |   93 +++++++++++++++++++++++++++++++++++++++
 staging-x86_64/blender.install |   13 +++++
 4 files changed, 212 insertions(+)

Copied: blender/repos/staging-i686/PKGBUILD (from rev 141597, blender/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2011-10-31 15:34:24 UTC (rev 141598)
@@ -0,0 +1,93 @@
+# $Id$
+# Contributor: John Sowiak <john at archlinux.org>
+# Maintainer: tobias <tobias at archlinux.org>
+
+# Apparently, the blender guys refuse to release source tarballs for
+# intermediate releases that deal mainly with binaries but incorporate tiny
+# minor changes from svn. Since I'm sick and tired of the urges of users that
+# look for release numbers only, we make a messy PKGBUILD that can checkout svn
+# release if necessary.
+
+#_svn=true
+_svn=false
+
+pkgname=blender
+pkgver=2.60a
+pkgrel=2
+epoch=3
+pkgdesc="A fully integrated 3D graphics creation suite"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://www.blender.org"
+depends=('libpng' 'libtiff' 'openexr' 'python' 'desktop-file-utils' \
+         'shared-mime-info' 'hicolor-icon-theme' 'xdg-utils' 'glew' \
+         'freetype2' 'openal' 'libsndfile' 'ffmpeg')
+makedepends=('cmake')
+install=blender.install
+if [ $_svn = false ]; then
+  source=(http://download.blender.org/source/$pkgname-$pkgver.tar.gz)
+  md5sums=('cc7e4a56c9f7941c33c958ff0338f9a6')
+else
+  source=(ftp://ftp.archlinux.org/other/${pkgname}/$pkgname-$pkgver.tar.xz)
+  md5sums=('7579d1139d0d6025df8afcfca64a65c4')
+fi
+
+# source PKGBUILD && mksource
+mksource() {
+  [[ -x /usr/bin/svn ]] || (echo "svn not found. Install subversion." && return 1)
+  _svnver=38016
+  _svntrunk="https://svn.blender.org/svnroot/bf-blender/trunk/blender"
+  _svnmod="$pkgname-$pkgver"
+  mkdir ${pkgname}-$pkgver
+  pushd ${pkgname}-$pkgver
+  svn co $_svntrunk --config-dir ./ -r $_svnver $_svnmod
+  find . -depth -type d -name .svn -exec rm -rf {} \;
+  tar -cJf ../${pkgname}-$pkgver.tar.xz ${pkgname}-$pkgver/*
+  popd
+}
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+  mkdir build
+  cd build
+
+  [[ $CARCH == i686 ]] && ENABLESSE2="-DSUPPORT_SSE2_BUILD:BOOL=OFF"
+
+  cmake .. \
+    -DCMAKE_INSTALL_PREFIX:PATH=/usr \
+    -DCMAKE_BUILD_TYPE:STRING=Release \
+    -DWITH_INSTALL_PORTABLE:BOOL=OFF \
+    -DWITH_PYTHON_INSTALL:BOOL=OFF \
+    -DWITH_OPENCOLLADA:BOOL=OFF \
+    -DWITH_GAMEENGINE:BOOL=ON \
+    -DWITH_PLAYER:BOOL=ON \
+    -DWITH_BUILTIN_GLEW:BOOL=OFF \
+    -DWITH_CODEC_FFMPEG:BOOL=ON \
+    -DWITH_CODEC_SNDFILE:BOOL=ON \
+    -DPYTHON_VERSION:STRING=3.2 \
+    -DPYTHON_LIBPATH:STRING=/usr/lib \
+    -DPYTHON_LIBRARY:STRING=python3.2mu \
+    -DPYTHON_INCLUDE_DIRS:STRING=/usr/include/python3.2mu \
+    $ENABLESSE2
+
+  make $MAKEFLAGS
+
+  cp -rf "$srcdir"/${pkgname}-$pkgver/release/plugins/* \
+    "$srcdir"/${pkgname}-$pkgver/source/blender/blenpluginapi/
+  cd "$srcdir"/${pkgname}-$pkgver/source/blender/blenpluginapi
+  chmod 755 bmake
+  make
+}
+
+package() {
+  cd "$srcdir/$pkgname-$pkgver/build"
+  make DESTDIR="${pkgdir}" install
+  python -m compileall "${pkgdir}/usr/share/blender"
+
+# install plugins
+  install -d -m755 "$pkgdir"/usr/share/blender/${pkgver%[a-z]}/plugins/{sequence,texture}
+  cp "$srcdir"/${pkgname}-$pkgver/source/blender/blenpluginapi/sequence/*.so \
+    "$pkgdir"/usr/share/blender/${pkgver%[a-z]}/plugins/sequence/
+  cp "$srcdir"/${pkgname}-$pkgver/source/blender/blenpluginapi/texture/*.so \
+    "$pkgdir"/usr/share/blender/${pkgver%[a-z]}/plugins/texture/
+}

Copied: blender/repos/staging-i686/blender.install (from rev 141597, blender/trunk/blender.install)
===================================================================
--- staging-i686/blender.install	                        (rev 0)
+++ staging-i686/blender.install	2011-10-31 15:34:24 UTC (rev 141598)
@@ -0,0 +1,13 @@
+post_install() {
+  update-desktop-database -q
+  update-mime-database usr/share/mime &> /dev/null
+  xdg-icon-resource forceupdate --theme hicolor &> /dev/null
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  post_install
+}

Copied: blender/repos/staging-x86_64/PKGBUILD (from rev 141597, blender/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2011-10-31 15:34:24 UTC (rev 141598)
@@ -0,0 +1,93 @@
+# $Id$
+# Contributor: John Sowiak <john at archlinux.org>
+# Maintainer: tobias <tobias at archlinux.org>
+
+# Apparently, the blender guys refuse to release source tarballs for
+# intermediate releases that deal mainly with binaries but incorporate tiny
+# minor changes from svn. Since I'm sick and tired of the urges of users that
+# look for release numbers only, we make a messy PKGBUILD that can checkout svn
+# release if necessary.
+
+#_svn=true
+_svn=false
+
+pkgname=blender
+pkgver=2.60a
+pkgrel=2
+epoch=3
+pkgdesc="A fully integrated 3D graphics creation suite"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://www.blender.org"
+depends=('libpng' 'libtiff' 'openexr' 'python' 'desktop-file-utils' \
+         'shared-mime-info' 'hicolor-icon-theme' 'xdg-utils' 'glew' \
+         'freetype2' 'openal' 'libsndfile' 'ffmpeg')
+makedepends=('cmake')
+install=blender.install
+if [ $_svn = false ]; then
+  source=(http://download.blender.org/source/$pkgname-$pkgver.tar.gz)
+  md5sums=('cc7e4a56c9f7941c33c958ff0338f9a6')
+else
+  source=(ftp://ftp.archlinux.org/other/${pkgname}/$pkgname-$pkgver.tar.xz)
+  md5sums=('7579d1139d0d6025df8afcfca64a65c4')
+fi
+
+# source PKGBUILD && mksource
+mksource() {
+  [[ -x /usr/bin/svn ]] || (echo "svn not found. Install subversion." && return 1)
+  _svnver=38016
+  _svntrunk="https://svn.blender.org/svnroot/bf-blender/trunk/blender"
+  _svnmod="$pkgname-$pkgver"
+  mkdir ${pkgname}-$pkgver
+  pushd ${pkgname}-$pkgver
+  svn co $_svntrunk --config-dir ./ -r $_svnver $_svnmod
+  find . -depth -type d -name .svn -exec rm -rf {} \;
+  tar -cJf ../${pkgname}-$pkgver.tar.xz ${pkgname}-$pkgver/*
+  popd
+}
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+  mkdir build
+  cd build
+
+  [[ $CARCH == i686 ]] && ENABLESSE2="-DSUPPORT_SSE2_BUILD:BOOL=OFF"
+
+  cmake .. \
+    -DCMAKE_INSTALL_PREFIX:PATH=/usr \
+    -DCMAKE_BUILD_TYPE:STRING=Release \
+    -DWITH_INSTALL_PORTABLE:BOOL=OFF \
+    -DWITH_PYTHON_INSTALL:BOOL=OFF \
+    -DWITH_OPENCOLLADA:BOOL=OFF \
+    -DWITH_GAMEENGINE:BOOL=ON \
+    -DWITH_PLAYER:BOOL=ON \
+    -DWITH_BUILTIN_GLEW:BOOL=OFF \
+    -DWITH_CODEC_FFMPEG:BOOL=ON \
+    -DWITH_CODEC_SNDFILE:BOOL=ON \
+    -DPYTHON_VERSION:STRING=3.2 \
+    -DPYTHON_LIBPATH:STRING=/usr/lib \
+    -DPYTHON_LIBRARY:STRING=python3.2mu \
+    -DPYTHON_INCLUDE_DIRS:STRING=/usr/include/python3.2mu \
+    $ENABLESSE2
+
+  make $MAKEFLAGS
+
+  cp -rf "$srcdir"/${pkgname}-$pkgver/release/plugins/* \
+    "$srcdir"/${pkgname}-$pkgver/source/blender/blenpluginapi/
+  cd "$srcdir"/${pkgname}-$pkgver/source/blender/blenpluginapi
+  chmod 755 bmake
+  make
+}
+
+package() {
+  cd "$srcdir/$pkgname-$pkgver/build"
+  make DESTDIR="${pkgdir}" install
+  python -m compileall "${pkgdir}/usr/share/blender"
+
+# install plugins
+  install -d -m755 "$pkgdir"/usr/share/blender/${pkgver%[a-z]}/plugins/{sequence,texture}
+  cp "$srcdir"/${pkgname}-$pkgver/source/blender/blenpluginapi/sequence/*.so \
+    "$pkgdir"/usr/share/blender/${pkgver%[a-z]}/plugins/sequence/
+  cp "$srcdir"/${pkgname}-$pkgver/source/blender/blenpluginapi/texture/*.so \
+    "$pkgdir"/usr/share/blender/${pkgver%[a-z]}/plugins/texture/
+}

Copied: blender/repos/staging-x86_64/blender.install (from rev 141597, blender/trunk/blender.install)
===================================================================
--- staging-x86_64/blender.install	                        (rev 0)
+++ staging-x86_64/blender.install	2011-10-31 15:34:24 UTC (rev 141598)
@@ -0,0 +1,13 @@
+post_install() {
+  update-desktop-database -q
+  update-mime-database usr/share/mime &> /dev/null
+  xdg-icon-resource forceupdate --theme hicolor &> /dev/null
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  post_install
+}



More information about the arch-commits mailing list